Bug 122069 - lokkit -p 53 core dumps
lokkit -p 53 core dumps
Status: CLOSED DUPLICATE of bug 117183
Product: Fedora
Classification: Fedora
Component: redhat-config-securitylevel (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
http://download.fedora.redhat.com/pub...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-30 02:31 EDT by Tim Taiwanese Liim
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:02:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Taiwanese Liim 2004-04-30 02:31:04 EDT
Description of problem:
  running "lokkit -p 53" core dumps; it should be able to take
  numeric port.  Problem found and fixed.  Please incorporate
  into source code.

Version-Release number of selected component (if applicable):
  redhat-config-securitylevel-1.2.11-1.src.rpm

How reproducible:
  always, on i386 platform.

Steps to Reproduce:
  1. as root, run "lokkit -p 53"
  
Actual results:
  core dump

Expected results:
  take additional port into Customier/Other Ports.

Additional info:
  how to fix:
   1. line 239:
	  char *ret;
	  struct servent *service;
       should be
     	  char *ret               = NULL;
	  struct servent *service = NULL;
       always good to init pointers to NULL.
   2. line 249
	ret = calloc((orig ? strlen(orig) : 0) + strlen(ret) + 2, sizeof(char));
      should be
	ret = calloc((orig ? strlen(orig) : 0) + strlen(tmp) + 2, sizeof(char));
      the core dump occurs at strlen(ret) as ret was not 
      initialized.
Comment 1 Brent Fox 2004-06-24 15:08:04 EDT

*** This bug has been marked as a duplicate of 117183 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:02:53 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.